Bug 190645 - Warning about mounting swap during boot
Warning about mounting swap during boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 03:46 EDT by Mike Cohler
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 20:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages starting at the boot today (30.79 KB, application/octet-stream)
2006-05-04 03:46 EDT, Mike Cohler
no flags Details

  None (edit)
Description Mike Cohler 2006-05-04 03:46:21 EDT
Description of problem: During the boot the swap partition gives an
error/warning - as per the lines in the messages file here:
May  4 08:14:44 gestalt kernel: EXT3-fs: mounted filesystem with ordered data mode.
May  4 08:14:44 gestalt kernel: version 0 swap is no longer supported. Use
mkswap -v1 /dev/sda7
May  4 08:14:44 gestalt kernel: ip_tables: (C) 2000-2006 Netfilter Core Team


Version-Release number of selected component (if applicable):This happens in the
current kernel 2.6.16-1.2107_FC5smp, but also with the kernel that came with the
release.


How reproducible:Every time


Steps to Reproduce:
1. Boot machine
2. During boot ( without rhgb as rhgb hangs with this kernel ) just after mkinit
there is a red failed line
3. Check messages file to find the warning about swap now needing mkswap. Same
line appears in dmesg output.
  
Actual results: Machine continues to boot.


Expected results:Boot should proceed without the swap warning.


Additional info:This is a freshly installed FC5 system on a Dell 5150 with Intel
Core Duo processor.

The df -h output looks normal:
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda6              19G  5.3G   13G  30% /
tmpfs                 247M     0  247M   0% /dev/shm
/dev/sda8              63G  9.3G   50G  16% /home

The /etc/fstab looks normal also:
LABEL=/                 /                       ext3    defaults        1 1
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
LABEL=/home             /home                   ext3    defaults        1 2
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
/dev/sda7               swap                    swap    defaults        0 0
Comment 1 Mike Cohler 2006-05-04 03:46:21 EDT
Created attachment 128589 [details]
/var/log/messages starting at the boot today
Comment 2 Dave Jones 2006-05-06 20:15:58 EDT
2107 was *really* bad on so many levels.
Should be fixed in 2111.

Note You need to log in before you can comment on or make changes to this bug.